<template>
    <div class="box__pcDopRight--element">
        <label for=""> <span>*</span> {{ $t('payment_systems.form.withdraw_type') }}</label>
        <div class="box__element--right">
            <ui-radio v-for="(label, type) in withdraw_types" :value="type" v-model="localValue" :key="type" width="11%" :required="true" v-if="can(type)">
                {{ $t('payment_systems.form.withdraw_types.' + type) }}
            </ui-radio>
            <tooltip info="Lorem ipsum dolor sit amet, consectetur adipisicing elit." :ml="0"/>
        </div>
    </div>
</template>

<script>
	export default {
		name: "WithdrawTypesRadio",
        props: {
		    value: {
		        type: String,
                required: true
            },
            types: {
		        type: Object,
                default: () => ({
                    can_manual: true,
                    can_semi_auto: false,
                    can_auto: false,
                })
            }
        },
        model: {
		    prop: 'value',
            event: 'input'
        },
        data(){
		    return {
                withdraw_types: {
                    'manual': 'Ручные',
                    'semi_auto': 'Полуавтоматические',
                    'auto': 'Автоматические'
                },
                localValue: this.value,
                can_manual: true,
            }
        },
        watch: {
		    value(newVal){
		        this.localValue = newVal;
            },
            localValue(newVal){
		        this.$emit('input', newVal);
            },
            types: {
		        deep: true,
                handler: function(types) {
		            this.setDefault(types)
                }
            }
        },
        methods: {
		    can(type){
		        let key = `can_${type}`;
		        return this.types[key];
            },
            setDefault(types){
		        if(this.value){
		            if(this.value !== 'manual' && (!types.can_semi_auto && !types.can_auto)){
                        this.localValue = 'manual';
                    }
                }else{
                    if(!types.can_semi_auto && !types.can_auto){
                        this.localValue = 'manual';
                    }
                }
            }
        },
        mounted(){
		    this.setDefault(this.types)
        }
	}
</script>

<style scoped>

</style>
